## javax.persistence
Class TransactionRequiredException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.persistence.PersistenceException
                      javax.persistence.TransactionRequiredException

All Implemented Interfaces:
  java.io.Serializable

    public class TransactionRequiredException

extends PersistenceException

See Also:
  Serialized Form

Constructor Summary
`TransactionRequiredException()`
`TransactionRequiredException(java.lang.String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionRequiredException

    public TransactionRequiredException()

### TransactionRequiredException

    public TransactionRequiredException(java.lang.String message)